///File : DialogAbout.hpp
//------------------------------------------------------------------------------
/*
    Copyright (C) 2009 Colin GILLE / congelli501

    This file is part of Devis Maker.
    Devis Maker is sold under Devis Maker license (read COPYING file)
*/
//------------------------------------------------------------------------------
#ifndef DIALOG_ABOUT_HPP_DEVIS_MAKER
#define DIALOG_ABOUT_HPP_DEVIS_MAKER

#include "wx/wxprec.h"

#ifdef __BORLANDC__
    #pragma hdrstop
#endif

#ifndef WX_PRECOMP
    #include "wx/wx.h"
#endif
//------------------------------------------------------------------------------
#include <wx/stdpaths.h>
//------------------------------------------------------------------------------

#include <wx/intl.h>

#include <wx/hyperlink.h>
#include <wx/gdicmn.h>
#include <wx/settings.h>
#include <wx/notebook.h>
//------------------------------------------------------------------------------
#include "config.hpp"
#include "buildVersionOptions.hpp"
#include "findFile.hpp"
#include "AppConfig.hpp"
///////////////////////////////////////////////////////////////////////////
#if defined VERSION
    #define NUM_VERSION _(VERSION)
#else
    #define NUM_VERSION _T("2.5.0")
#endif

///////////////////////////////////////////////////////////////////////////////
/// Class PanelNoteBookAutors
///////////////////////////////////////////////////////////////////////////////
class PanelNoteBookAutors : public wxPanel
{
public:
    PanelNoteBookAutors(wxWindow* parent, wxWindowID id = wxID_ANY, const wxString &autherName = _T(""), const wxString &imgName = _T(""), const wxString &siteLink = _T(""), const wxPoint& pos = wxDefaultPosition, const wxSize& size = wxDefaultSize, long style = wxTAB_TRAVERSAL);
};

///////////////////////////////////////////////////////////////////////////////
/// Class about
///////////////////////////////////////////////////////////////////////////////
class DialogAbout : public wxDialog
{
public:
	DialogAbout( wxWindow* parent, wxWindowID id = wxID_ANY, const wxString& title = _("About"), const wxPoint& pos = wxDefaultPosition, const wxSize& size = wxSize( 475,340 ), long style = wxDEFAULT_DIALOG_STYLE );

protected:
    wxStaticBitmap* m_bitmapIcone;
    wxStaticText* m_staticTextTitre;
    wxStaticText* m_staticTextVersion;
    wxNotebook* m_NotebookAutorlicense;
    PanelNoteBookAutors *MyPanelNoteBookAutors;
    wxButton* m_BtOk;
};

#endif //DIALOG_ABOUT_HPP_DEVIS_MAKER
